Strumenti: Aggiungi un documento di testo
Jump to navigation
Jump to search
Std Base
User documentation
|
Posizione nel menu |
---|
Strumenti → Aggiungi un documento di testo |
Ambiente |
Tutti |
Avvio veloce |
Nessuno |
Introdotto nella versione |
0.19 |
Vedere anche |
Forma da testo di Draft, Testo di Draft |
Descrizione
Il comando Aggiungi un documento di testo crea un oggetto in grado di contenere un testo arbitrario. Questo elemento può essere utilizzato per scrivere delle informazioni generali o della documentazione sul modello.
Utilizzo
- Andare nel menu Strumenti → Aggiungi un documento di testo.
- Fare doppio clic sul nuovo oggetto creato nella vista ad albero per aprire una scheda in cui scrivere il testo.
- Aggiungere il testo.
- Chiudere la scheda e salvare il file quando viene richiesto.
Proprietà
Vista
Editor
- VistaFont Name (
Font
): un nome di carattere, ad esempio,Ubuntu Mono
. - VistaFont Size (
Float
): una dimensione del carattere in punti, ad esempio,11
. - VistaRead Only (
Bool
): il valore predefinito èfalse
. Se impostato sutrue
il testo non può essere modificato. - VistaSyntax Highlighter (
Enumeration
): il valore predefinito èNone
. Se impostato suPython
, il testo verrà evidenziato come nella console Python.
Script
Vedere anche: Script di base per FreeCAD, e script di oggetti.
Vedere Part Feature per le informazioni generali sull'aggiunta di oggetti a un documento.
Un oggetto App::TextDocument
viene creato con il metodo addObject()
del documento. Una volta che esiste un TextDocument, le sue informazioni testuali vengono archiviate nel suo attributo Text
. Questo attributo può essere utilizzato in altri oggetti, ad esempio, come stringa in una Forma da testo di Draft .
import FreeCAD as App
import Draft
doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
App.ActiveDocument.recompute()
obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
App.ActiveDocument.recompute()
- File: New, Open, Close, Close All, Save, Save As, Save a Copy, Save All, Revert, Import, Export,Merge project, Project information, Print, Print preview, Export PDF, Recent files, Exit
- Edit: Undo, Redo, Cut, Copy, Paste, Duplicate selection, Refresh, Box selection, Box element selection, Select All, Delete, Send to Python Console, Placement, Transform, Alignment, Toggle Edit mode, Edit mode, Preferences
- View:
- Miscellaneous: Create new view, Orthographic view, Perspective view, Fullscreen, Bounding box, Toggle axis cross, Clipping plane, Texture mapping, Toggle navigation/Edit mode, Appearance, Random color, Workbench, Status bar
- Standard views: Fit all, Fit selection, Isometric, Dimetric, Trimetric, Home, Front, Top, Right, Rear, Bottom, Left, Rotate Left, Rotate Right
- Freeze display: Save views, Load views, Freeze view, Clear views
- Draw style: As is, Points, Wireframe, Hidden line, No shading, Shaded, Flat lines
- Stereo: Stereo red/cyan, Stereo quad buffer, Stereo Interleaved Rows, Stereo Interleaved Columns, Stereo Off, Issue camera position
- Zoom: Zoom In, Zoom Out, Box zoom
- Document window: Docked, Undocked, Fullscreen
- Visibility: Toggle visibility, Show selection, Hide selection, Select visible objects, Toggle all objects, Show all objects, Hide all objects, Toggle selectability, Toggle measurement, Clear measurement
- Toolbars: File, Workbench, Macro, View, Structure
- Panels: Report view, Tree view, Property view, Selection view, Combo view, Python console, DAG view
- Tree view actions: Sync view, Sync selection, Sync placement, Pre-selection, Record selection, Single document, Multi document, Collapse/Expand, Initiate dragging, Go to selection
- Tools: Edit parameters, Save image, Load image, Scene inspector, Dependency graph, Project utility, Measure distance, Add text document, View turntable, Units calculator, Customize, Addon manager
- Macro: Macro recording, Stop macro recording, Macros, Recent macros, Execute macro, Attach to remote debugger, Debug macro, Stop debugging, Step over, Step into, Toggle breakpoint
- Help: Help, FreeCAD Website, Donate, Users documentation, Python scripting documentation, Automatic Python modules documentation, FreeCAD Forum, FreeCAD FAQ, Report a bug, About FreeCAD, What's This
- Structure and Link: Std Part, Std Group, Make link, Make sub-link, Replace with link, Unlink, Import links, Import all links, Go to linked object, Go to deepest linked object, Select all links

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub